/*
 * CorrectMenuMaxPage()
 *
 * call this after each change of the number of installed Add-Ins
 * (e.g. after delting one)
 *
 * Author: J. Steingraeber
 * Date: 2001/11/13
 *
 * Released to the public domain
 */
void CorrectMenuMaxPage()
{
  int n = 0;
  unsigned char far * p = MK_FP(0x1840,0x0B71);
  
  while (p[0] != 0xFF)
  {
    ++n;
    p += 5;
  }

  n = (n + 7) / 8;

  p = MK_FP(0x1840,0x0B6E);
  p[1] = n;

  if (p[0] >= n)
  {
    p[0] = n - 1;
  }

      /* reset action menu pointer */
  p = MK_FP(0x1840,0x00B0);
  *p = 0;
}
